import request from '@/utils/request'

// 分页查询
export function pageList(data) {
  return request({
    url: '/sys/sysContribute/pageList',
    method: 'post',
    data: data
  })
}

// 插入
export function insert(data) {
  return request({
    url: '/sys/sysContribute/insert',
    method: 'post',
    data: data
  })
}
// 更新数据
export function update(data) {
  return request({
    url: '/sys/sysContribute/update',
    method: 'post',
    data: data
  })
}
// 查询
export function query(data) {
  return request({
    url: '/sys/sysContribute/query',
    method: 'post',
    data: data
  })
}
// 添加用户
export function addUser(data) {
  return request({
    url: '/sys/sysContribute/addUser',
    method: 'post',
    data: data
  })
}

// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  return request({
    url: '/sys/sysContribute/delete',
    method: 'post',
    data: data
  })
}
