import request from '@/utils/request'
// 登陆
export function login(username, password) {
  return request({
    url: '/login',
    method: 'post',
    data: {
      username,
      password
    }
  })
}
// 用户信息
export function getInfo() {
  return request({
    url: '/userInfo/currentUserInfo',
    method: 'post'
  })
}

// 注销
export function logout() {
  return request({ url: '/mylogout', method: 'get' })
}
