import request from '@/utils/request'

// 分页查询
export function pageList(data) {
  return request({
    url: '/sys/sysOnlineList/pageList',
    method: 'post',
    data: data
  })
}
export function query(data) {
  return request({
    url: '/sys/sysOnlineList/query',
    method: 'post',
    data: data
  })
}
export function findBysysOnlineCourseId(data) {
  return request({
    url: '/sys/sysOnlineList/findBysysOnlineCourseId',
    method: 'post',
    data: data
  })
}

// 插入
export function insert(data) {
  return request({
    url: '/sys/sysOnlineList/insert',
    method: 'post',
    data: data
  })
}

// 更新数据
export function update(data) {
  return request({
    url: '/sys/sysOnlineList/update',
    method: 'post',
    data: data
  })
}



// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  console.log(data)
  return request({
    url: '/sys/sysOnlineList/delete',
    method: 'post',
    data: data
  })
}
